classification
Title: Use argparse in the calendar module
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: 18982 Superseder:
Assigned To: serhiy.storchaka Nosy List: bethard, matrixise, python-dev, r.david.murray, rhettinger, serhiy.storchaka, vajrasky
Priority: normal Keywords: patch

Created on 2013-09-08 15:06 by serhiy.storchaka, last changed 2015-11-01 15:18 by matrixise. This issue is now closed.

Files
File name Uploaded Description Edit
calendar_argparse.patch serhiy.storchaka, 2013-09-08 15:30 review
Messages (9)
msg197264 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-08 15:06
Here is a patch which replaces optparse to argparse in the calendar modules.
msg197268 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-09-08 15:24
I don't see any patches. You forgot to upload the patch?
msg197270 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-08 15:30
> You forgot to upload the patch?

Again.
msg197301 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-09-08 17:57
I think it is highly inadvisable to make changes like this without also adding tests.  We broke compileall by doing this even though we *did* add tests.
msg197321 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-08 21:09
Good point. See issue18982.
msg253628 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2015-10-28 20:52
Hi Serhiy,

I just reviewed your patch, works fine with 3.6.
msg253852 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-11-01 15:14
New changeset 9f8b5053e30d by Serhiy Storchaka in branch 'default':
Issue #18973: Command-line interface of the calendar module now uses argparse
https://hg.python.org/cpython/rev/9f8b5053e30d
msg253853 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-11-01 15:17
Thank you SilentGhost and Stéphane for your review.
msg253854 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2015-11-01 15:18
Serhiy, welcome.
History
Date User Action Args
2015-11-01 15:18:40matrixisesetmessages: + msg253854
2015-11-01 15:17:33serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg253853

stage: patch review -> resolved
2015-11-01 15:14:51python-devsetnosy: + python-dev
messages: + msg253852
2015-11-01 14:54:10serhiy.storchakasetassignee: serhiy.storchaka
2015-10-28 20:54:48SilentGhostsetversions: + Python 3.6, - Python 3.4
2015-10-28 20:52:28matrixisesetnosy: + matrixise
messages: + msg253628
2015-10-28 19:52:14serhiy.storchakalinkissue25499 superseder
2013-09-08 21:09:31serhiy.storchakasetdependencies: + Add tests for CLI of the calendar module
messages: + msg197321
2013-09-08 17:57:43r.david.murraysetnosy: + r.david.murray
messages: + msg197301
2013-09-08 15:30:15serhiy.storchakasetfiles: + calendar_argparse.patch
keywords: + patch
messages: + msg197270
2013-09-08 15:24:02vajraskysetnosy: + vajrasky
messages: + msg197268
2013-09-08 15:06:16serhiy.storchakacreate